List all the spend profiles of your company

Purpose: Use this endpoint to view a list of all the spend profiles of the users in your company. This endpoint provides important details such as daily, weekly, and monthly spend limits, spend categories, and the default status of the user.

You can also use the optional query parameter that will list all the default profiles in the beginning and non-default profiles at the end.


Response Parameters

spend_control_profiles

  • Type: Array of Objects
  • Description: The list of spend control profiles.

id

  • Type: String (UUID)
  • Description: The unique identifier of the spend control profile.

name

  • Type: String
  • Description: The name of the spend control profile.

is_default

  • Type: Boolean
  • Description: Indicates if this profile is the default profile.

created_at

  • Type: String (DateTime)
  • Description: The timestamp when the profile was created.

updated_at

  • Type: String (DateTime)
  • Description: The timestamp when the profile was last updated.

spend_limits

  • Type: Object
  • Description: Contains the spending limits associated with the profile.

daily_limit_in_cents

  • Type: Integer
  • Description: The daily spending limit in cents.

weekly_limit_in_cents

  • Type: Integer
  • Description: The weekly spending limit in cents.

monthly_limit_in_cents

  • Type: Integer
  • Description: The monthly spending limit in cents.

transaction_limit_in_cents

  • Type: Integer
  • Description: The per-transaction spending limit in cents.

billing_cycle_spend_limit_in_cents

  • Type: Integer
  • Description: The spending limit for the current billing cycle in cents.

daily_withdrawal_limit_in_cents

  • Type: Integer
  • Description: The daily withdrawal limit in cents (e.g., for ATM withdrawals).

weekly_withdrawal_limit_in_cents

  • Type: Integer
  • Description: The weekly withdrawal limit in cents.

atm_withdrawal_enabled

  • Type: Boolean
  • Description: Indicates whether ATM withdrawals are allowed.

enable_days

  • Type: Array of Strings
  • Description: The days of the week when the card can be used (e.g., ["sun", "mon", ...]).

enable_start_time

  • Type: String (Time)
  • Description: The start time (in 24-hour format) from which card usage is enabled.

enable_end_time

  • Type: String (Time)
  • Description: The end time (in 24-hour format) until which card usage is enabled.

created_by

  • Type: Integer
  • Description: The ID of the user who created these spend limits.

spend_categories

  • Type: Array of Strings
  • Description: The allowed spending categories for this profile (e.g., ["Fuel pump"]).

Query Params
boolean

Specify this parameter if you want to view the profile that are set as default. Allowed values:

  • true: Indicates that the default profiles will be shown first.
  • false: Denotes that the profiles will be shown as per the existing data.

string
enum

Specify the field using which you want to sort the data. Allowed values are

  • name
  • created_at
  • updated_at

Allowed:
string
enum

Specify the order of the API endpoint response.

Allowed:
int32
Defaults to 1

Specify the page number for the API response.

int32
Defaults to 25

Denote the number of entries per page.

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json